Skip to main content
PATCH
Update gateway settings

Authorizations

Authorization
string
header
required

Human personal access token (sk-actrl-pat-...).

Headers

Idempotency-Key
string

Stable key for safely retrying this write. Reuse the same key only with the same request body; results are retained for 24 hours and conflicting reuse returns 409.

Path Parameters

id
string
required

Body

application/json
spendLimit
number | null
Required range: x >= 0
spendWindow
enum<string>
Available options:
daily,
weekly,
monthly
rateLimitPerMin
integer | null
Required range: x >= 1
loggingEnabled
boolean
logBodies
boolean
guardrailMode
enum<string>
Available options:
off,
flag,
redact,
block
allowedModels
string[]

Response

Updated gateway settings.

ok
enum<boolean>
required
Available options:
true
data
object
required